Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 5912

Summary: Installer crash on FTP upgrade
Product: [Retired] Red Hat Linux Reporter: john.dean
Component: installerAssignee: Jay Turner <jturner>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: 6.1CC: john.dean, srevivo
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2000-02-08 18:16:50 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description john.dean 1999-10-13 18:19:17 UTC
On attempting an FTP upgrade from RH6.0 installed on /dev/
hdb1, the installer seems to try to mount /dev/hda1 as root
and fails (of course).

The error occurrs at the "Searching for RedHat Linux
installations" window and reads as follows:

Error mounting ext2 filesystem on
hda1: invalid argument

Clicking OK brings up an exception occurred window that
contains the following text

...
  File
"/tmp/lib/python1.5/site-packages/tex
t.py", line 222, in __call__
	parts = todo.upgradeFindRoot()
  File
"/tmp/lib/python1.5/site-packages/tod
o.py", line 1130, in upgradeFindRoot
	isys.umount('/mnt/sysimage')
  File
"/tmp/lib/python1.5/site-packages/isy
s.py", line 8, in umount
	return _isys.umount(what)
SystemError: (22, 'Invalid Argument')

On selecting OK the installer then exits abnormally and the
system halts.

Comment 1 Jay Turner 1999-10-21 18:03:59 UTC
Please send me a copy of your fstab as well as output from fdisk.
There are a couple of issues we are familiar with that affect the
installer, so seeing these files will help troubleshoot the problem.